﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;
using System.Threading;
using System.Net;
using System.IO;
using System.Text;
using System.Windows;
using System.Diagnostics;
using C1.C1Pdf;

public partial class Default2 : System.Web.UI.Page
{
    bool flag = false;
   
    protected void Page_Load(object sender, EventArgs e)
    {
      
    }

    protected override void Render(HtmlTextWriter htmlWriter)
    {
        try
        {
            if (flag)
            {
                //Image's size
                int imgWidth = 1000;
                int imgheight = 1500;
                StringBuilder strbBuilder = new StringBuilder();

                // Just display pervious content of the page  
                HtmlTextWriter htwCotent = new HtmlTextWriter(new StringWriter(strbBuilder));
                base.Render(htwCotent);

                // Save web page as an image in root diectory, add an image in page.
                string strHtml = strbBuilder.ToString();
                int browserWidth = Convert.ToInt32(this.TextBox1.Text);
                int browserheight = Convert.ToInt32(this.TextBox2.Text);
                Thumbnail thumbnail = new Thumbnail(strHtml, browserWidth, browserheight, browserWidth, browserheight, Thumbnail.ThumbnailMethod.Html);//strHtml, browserWidth, browserheight, imgWidth, imgheight, Thumbnail.ThumbnailMethod.Html);
                Bitmap imageWebpage = thumbnail.GenerateThumbnail();
                if (File.Exists(Server.MapPath("~") + "/image.bmp"))
                {
                    File.Delete(Server.MapPath("~") + "/image.bmp");
                }
                imageWebpage.Save(Server.MapPath("~") + "/image.bmp");
                htmlWriter.Write(strHtml);
                htmlWriter.Write("<img src=\"image.bmp\" />");
                imageWebpage.Dispose();
            }
            else
            {
                base.Render(htmlWriter);
            }
        }
        catch (Exception e)
        {
            htmlWriter.Write("generate image not complete, please refresh this page:" + e.Message);
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        flag = false;
        C1PdfDocument pdf = new C1PdfDocument();
        System.Drawing.Image img = System.Drawing.Image.FromFile(Server.MapPath("~") + "/image.bmp");
        pdf.DrawImage(img, pdf.PageRectangle);
        pdf.Save(Server.MapPath("ImageToPdfFile.pdf"));
                
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        flag = true;
    }
}
